Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class IdRangeUnit

    java.lang.Object
      rice.pastry.testing.IdRangeUnit

    public class IdRangeUnit

extends java.lang.Object

IdRangeUnit tests the IdRange class.

Version:
  $Id: IdRangeUnit.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Peter Druschel

Constructor Summary
`IdRangeUnit()`

Method Summary
`IdRange` | `createEmptyIdRange()`
`IdRange` | `createFullIdRange()`
`IdRange` | `createIdRangeEndingIn(Id cw)`
`IdRange` | `createIdRangeStartingWith(Id ccw)`
`Id` | `createIdWithPrefix(byte b)`
`IdRange` | `createRandomIdRange()`
`void` | `diffSubtractTest(IdRange r1, IdRange r2)`
`void` | `equalityTest(IdRange r1, IdRange r2)`
`void` | `halfTest()`
`static void` | `main(java.lang.String[] args)`
`void` | `mergeIntersectTest(IdRange r1, IdRange r2)`
`void` | `mergeTest(IdRange r1, IdRange r2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdRangeUnit

    public IdRangeUnit()

Method Detail

### createRandomIdRange

    public IdRange createRandomIdRange()

### createFullIdRange

    public IdRange createFullIdRange()

### createEmptyIdRange

    public IdRange createEmptyIdRange()

### createIdRangeStartingWith

    public IdRange createIdRangeStartingWith(Id ccw)

### createIdRangeEndingIn

    public IdRange createIdRangeEndingIn(Id cw)

### createIdWithPrefix

    public Id createIdWithPrefix(byte b)

### halfTest

    public void halfTest()

### equalityTest

    public void equalityTest(IdRange r1,
                             IdRange r2)

### mergeIntersectTest

    public void mergeIntersectTest(IdRange r1,
                                   IdRange r2)

### diffSubtractTest

    public void diffSubtractTest(IdRange r1,
                                 IdRange r2)

### mergeTest

    public void mergeTest(IdRange r1,
                          IdRange r2)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.